org.eclipse.jgit.merge

## Class SquashMessageFormatter

- java.lang.Object
- - org.eclipse.jgit.merge.SquashMessageFormatter

    public class SquashMessageFormatter
    extends Object

Formatter for constructing the commit message for a squashed commit.

The format should be the same as C Git does it, for compatibility.

### Constructor Summary

Constructors
Constructor and Description
`SquashMessageFormatter()` Create a new squash message formatter.

### Method Summary

Methods
`String` `format(List<RevCommit> squashedCommits, Ref target)` Construct the squashed commit message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SquashMessageFormatter

    public SquashMessageFormatter()

Create a new squash message formatter.

### Method Detail

#### format

    public String format(List<RevCommit> squashedCommits,
                Ref target)

Construct the squashed commit message.

Parameters:
  `squashedCommits` - the squashed commits
  `target` - the target branch
Returns:
  squashed commit message